Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004875TestLinkUser Interface Generalpublic2012-01-16 14:512014-07-28 20:33
Reporterkeeyou 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.3 (2011 Q3 - bug fixing) 
Fixed in Version1.9.11 (2014 Q2 - bug fixing) 
Summary0004875: Testsuites tree doesn't refresh after moving/copying testsuite
DescriptionDespite setting "Update tree after every operation" parameter, testsuite tree does not refresh after operation of copying/moving testsuite.

Neverthelss, after opertaion of copying/moving TESTCASE, it does.
Steps To Reproduce1. Test Specification
2. Set "Update tree after every operation"
3. click any testsuite
3. Test Suite Operations -> Move/Copy
4. choose any target container and hit Move or Copy button
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserIE 8, IE 9, FF 8
PHP Version5.2.9
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships

-  Notes
(0016267)
skilletaudio (reporter)
2012-01-19 19:37

Experienced same issue, was able to patch by making the following change in my install of 1.9.3:


Index: lib/testcases/containerEdit.php
===================================================================
--- lib/testcases/containerEdit.php (revision 23)
+++ lib/testcases/containerEdit.php (working copy)
@@ -698,6 +698,7 @@
     $guiObj = new stdClass();
     $guiObj->attachments = getAttachmentInfosFrom($tsuiteMgr,$argsObj->objectID);
     $guiObj->id = $argsObj->objectID;
+ $guiObj->refreshTree = $argsObj->refreshTree; //fix for tree not refreshing after copy
     
     $tsuiteMgr->show($smartyObj,$guiObj,$template_dir,$argsObj->objectID,null,'ok');
 }
@@ -720,6 +721,7 @@
 
     $guiObj = new stdClass();
     $guiObj->id = $argsObj->tprojectID;
+ $guiObj->refreshTree = $argsObj->refreshTree; //fix for tree not refreshing after move
 
       $tprojectMgr->show($smartyObj,$guiObj,$template_dir,$argsObj->tprojectID,null,'ok');
 }
@@ -1134,4 +1136,4 @@
 }
(0016269)
fman (administrator)
2012-01-19 21:29

thank for code
For future contribution we prefer full file (is easy for normal users to apply in his/her installation)

- Issue History
Date Modified Username Field Change
2012-01-16 14:51 keeyou New Issue
2012-01-19 19:37 skilletaudio Note Added: 0016267
2012-01-19 21:29 fman Note Added: 0016269
2014-06-07 18:09 fman QA Team - Task Workflow Status => READY FOR TESTING
2014-06-07 18:09 fman Status new => resolved
2014-06-07 18:09 fman Fixed in Version => 1.9.11 (2014 Q2 - bug fixing)
2014-06-07 18:09 fman Resolution open => fixed
2014-06-07 18:09 fman Assigned To => fman
2014-07-28 20:33 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker